#!/bin/bash

# 要清理的临时目录路径
TEMP_DIR="C:/Users/XINNIAN/AppData/Local/Temp/electron-packager"

# 检查临时目录是否存在，并清理其内容
if [ -d "$TEMP_DIR" ]; then
  echo "正在清理临时目录: $TEMP_DIR"
  rm -rf "$TEMP_DIR"/*
  echo "临时目录清理完成！"
else
  echo "临时目录不存在: $TEMP_DIR"
fi

# 打包 Electron 应用
echo "开始打包 Electron 应用..."
npx electron-packager . iteyes --platform=win32 --arch=x64 --icon=assets/icon.ico --out=dist --overwrite


echo "Electron 应用打包完成！"
